## NAME

v.colors.out - Exports the color table associated with a vector map.

## KEYWORDS

vector, color table, export

## SYNOPSIS

v.colors.out
v.colors.out --help
v.colors.out [-p] map=name [layer=string] [rules=name] [column=name] format=name color_format=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-p
  Output values as percentages
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of vector map
  Or data source for direct OGR access
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
rules=name
  Path to output rules file
  If not given write to standard output
column=name
  Name of attribute (numeric) column to which refer color rules
  If not given, color rules refer to categories
format=name [required]
  Output format
  Options: plain, json
  Default: plain
  plain: Plain text output
  json: JSON (JavaScript Object Notation)
color_format=name [required]
  Color format
  Color format for output values.
  Options: rgb, hex, hsv, triplet
  Default: hex
  rgb: output color in RGB format
  hex: output color in HEX format
  hsv: output color in HSV format (experimental)
  triplet: output color in colon-separated RGB format

## DESCRIPTION

v.colors.out allows the user to export the color table for a vector map to a file which is suitable as input to v.colors.

## EXAMPLES

    v.colors.out map=soils_general rules=rules.txt
    v.colors map=soils_wake rules=rules.txt

## SEE ALSO

v.colors, r.colors, r3.colors, r.colors.out, r3.colors.out

## AUTHOR

Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: v.colors.out source code (history)

Latest change: Thursday Oct 23 20:57:28 2025 in commit: 938e5b09359caaeb9cfd62cb2c7e847218001627

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual